#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pnam	libintl-perl
Summary:	Internationalization library for Perl
Summary(pl.UTF-8):	Biblioteka umiędzynaradawiająca Perla
Name:		perl-libintl
Version:	1.32
Release:	5
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	https://cpan.metacpan.org/authors/id/G/GU/GUIDO/%{pnam}-%{version}.tar.gz
# Source0-md5:	2bde66347614962a6f0f1bd1c36b5211
URL:		https://metacpan.org/release/libintl-perl
BuildRequires:	gdbm-devel
%{?with_tests:BuildRequires:	glibc-localedb-all}
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-version >= 0.77}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package is an internationalization library for Perl that aims to
be compatible with the Uniforum message translations system as
implemented for example in GNU gettext.

%description -l pl.UTF-8
Pakiet stanowi bibliotekę umiędzynaradawiającą Perla, która ma na celu
zachowanie zgodności ze standardem Uniforum tłumaczenia komunikatów
zaimplementowanym na przykład w gettexcie GNU.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

# LC_ALL= LANG=... -- workaround for broken (?) gettext
%{?with_tests:LC_ALL= LANG=en_US %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Locale/{gettext_xs,libintlFAQ}.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/libintl-perl/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes TODO
%dir %{perl_vendorarch}/auto/Locale/gettext_xs
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/gettext_xs/gettext_xs.so
%{perl_vendorlib}/Locale/Messages.pm
%{perl_vendorlib}/Locale/Recode.pm
%{perl_vendorlib}/Locale/RecodeData.pm
%{perl_vendorlib}/Locale/TextDomain.pm
%{perl_vendorlib}/Locale/Util.pm
%{perl_vendorlib}/Locale/gettext_dumb.pm
%{perl_vendorlib}/Locale/gettext_pp.pm
%{perl_vendorlib}/Locale/gettext_xs.pm
%{perl_vendorlib}/Locale/Recode
%{perl_vendorlib}/Locale/RecodeData
%{_mandir}/man3/Locale::Messages.3pm*
%{_mandir}/man3/Locale::Recode*.3pm*
%{_mandir}/man3/Locale::TextDomain.3pm*
%{_mandir}/man3/Locale::Util.3pm*
%{_mandir}/man3/Locale::gettext_dumb.3pm*
%{_mandir}/man3/Locale::gettext_pp.3pm*
%{_mandir}/man3/Locale::gettext_xs.3pm*
%{_mandir}/man3/Locale::libintlFAQ.3pm*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-libintl.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 44e5de3
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 20b877a
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> e358802
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> c31c12e
- rebuild with perl 5.34.0

* Mon Jun 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 85c3d9b
- updated to 1.32

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> ef04ab9
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 77a6dc2
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 70673ce
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Sat Feb 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 62b76e3
- updated to 1.31

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> c27b3ec
- release 2

* Thu Jan 18 2018 Marcin Krol <hawk@tld-linux.org> f0177b2
- updated to 1.29

* Wed Jun 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 436cbff
- rel 4; fix builds

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e519475
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f276f6e
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Mon May 22 2017 Mariusz Mazur <mmazur@pld-linux.org> 6724488
- Up to 1.26

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> bec1712
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f57781f
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 49c8d7d
- x32 rebuild
- release 5 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1ab21ff
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 919d3cb
- release 3 (by relup.sh)

